From 3d88bdc9875c5ff1df5976505a192fa14ce145a4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:11 +0000
Subject: [PATCH 390/2232] Rename VectorIntoIterator to Iter


This matches the name of std::slice::Iter.

---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 02069e3..862c990 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -49,21 +49,21 @@ impl<T: VectorElement> CxxVector<T> {
     }
 }
 
-pub struct VectorIntoIterator<'a, T> {
+pub struct Iter<'a, T> {
     v: &'a CxxVector<T>,
     index: usize,
 }
 
 impl<'a, T: VectorElement> IntoIterator for &'a CxxVector<T> {
     type Item = &'a T;
-    type IntoIter = VectorIntoIterator<'a, T>;
+    type IntoIter = Iter<'a, T>;
 
     fn into_iter(self) -> Self::IntoIter {
-        VectorIntoIterator { v: self, index: 0 }
+        Iter { v: self, index: 0 }
     }
 }
 
-impl<'a, T: VectorElement> Iterator for VectorIntoIterator<'a, T> {
+impl<'a, T: VectorElement> Iterator for Iter<'a, T> {
     type Item = &'a T;
 
     fn next(&mut self) -> Option<Self::Item> {

